%clustering test

%Feel free to use the codes at your own risk. Reference:
% S-means: Similarity driven Clustering and Its application in
% Gravitationa-wave Astronomy Data Mining
%Author: Hansheng Lei (hansheng.lei@utb.edu)
%         Juan R. Iglessias
%         Lappoon Tang
%         Soma Mukherjee
%         Soumya Mohanty



% %%%%%Load Sythetic_control dataset%%%%%%%%%
% % 
FILENAME='synthetic_control.data';
Ms=load(FILENAME);
Ms=Normalize(Ms');   %
% 
% %%%%%End of Load Sythetic_control%%%%%%%%%



%%%Begin to play with S-means %%%%%%%%%%%%%%%

T=0.2

lowK=1;    %starting number of clusters
upK=6;     %up bound number of clusters
t0=clock;
[k, Labels, centers,maxSim, TotalSim1,iteration]=SimClustering(Ms, T, lowK,upK);  %main function
etime(clock,t0)   %see how fast it is


lowK=1;    %starting number of clusters
upK=size(Ms,2);     %withouth up-bound number of clusters
t0=clock;
[k, Labels, centers,maxSim, TotalSim2,iteration]=SimClustering(Ms, T, lowK,upK);  %main function
etime(clock,t0)   %see how fast it is






%%%%%%%%%%%%%%%%%Display average similarity to%%%%centroid%%%%%%%%%%%%%%%%%
figure,
subplot(1,2,1);
plot(TotalSim1);
ylabel('Average Similarity');
xlabel('Iteration');

subplot(1,2,2); 
plot(TotalSim2);
ylabel('Average Similarity');
xlabel('Iteration');



